ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mm:sieve', 1),
  [
    'ABA',
    'BCB', 
    'ABA'
  ],
  {
    A: 'kubejs:blanc',
    B: 'minecraft:netherite_ingot',  
    C: 'exdeorum:mechanical_sieve'
  }
)
event.shaped(
  Item.of('mm:item_input', 1),
  [
    'ABA',
    'CDC', 
    'AEA'
  ],
  {
    A: 'kubejs:blanc',
    B: 'minecraft:hopper',  
    C: 'thermal:iron_gear',
    D: '#forge:chests',
    E: 'thermal:gold_plate'
  }
)
event.shaped(
  Item.of('mm:item_output', 1),
  [
    'AEA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'kubejs:blanc',
    B: 'minecraft:hopper',  
    C: 'thermal:iron_gear',
    D: '#forge:chests',
    E: 'thermal:gold_plate'
  }
)
event.shaped(
  Item.of('mm:energy_input', 1),
  [
    'ABA',
    'BCB', 
    'ABA'
  ],
  {
    A: 'kubejs:blanc',
    B: 'mekanism:basic_control_circuit',  
    C: 'thermal:iron_gear'
  }
)
})